unit Cmd1CmdC;
//*******************************************************
// The TCommand base class from which other command
// classes are derived.
//
// The class defines the abstract virtual Execute method
// implemented by derived command classes.
//
// Deriving command classes from this class allows a
// program to treat the commands polymorphically as
// TCommand objects.
//*******************************************************
// Copyright (C) 1998 John Wiley & Sons, Inc.
// All rights reserved. See additional copyright
// information in Readme.txt.
//*******************************************************

interface

uses Forms;

type
    TCommand = class(TObject)
        public
            procedure Execute(frm : TForm); virtual; abstract;
    end;

implementation

end.
 